resource_rules:
  issues:
    rules:
      - name: Comment on closing Dedicated on-call handover issue day after due
        conditions:
          labels:
            - "team::Environment Automation"
            - "on-call-handover"
          ruby: |
            past_due_date?
          state: opened
          limit:
            most_recent: 1
        actions:
          comment: |
            :white_check_mark: This handover is complete and will be automatically closed! If not already done, please ensure the description is updated for [incoming EOCs](#incoming-eocs-instructions) to reference during their shift.
      - name: Close Dedicated on-call handover issue day after due
        conditions:
          labels:
            - "team::Environment Automation"
            - "on-call-handover"
          ruby: |
            past_due_date?
          state: opened
          limit:
            most_recent: 1
        actions:
          status: close
